io.undertow.attribute

## Interface ExchangeAttributeBuilder

All Known Implementing Classes:
  AuthenticationTypeExchangeAttribute.Builder, BytesSentAttribute.Builder, CookieAttribute.Builder, DateTimeAttribute.Builder, HostAndPortAttribute.Builder, IdentUsernameAttribute.Builder, LocalIPAttribute.Builder, LocalPortAttribute.Builder, LocalServerNameAttribute.Builder, NullAttribute.Builder, PathParameterAttribute.Builder, PredicateContextAttribute.Builder, QueryParameterAttribute.Builder, QueryStringAttribute.Builder, RelativePathAttribute.Builder, RemoteHostAttribute.Builder, RemoteIPAttribute.Builder, RemoteObfuscatedIPAttribute.Builder, RemoteUserAttribute.Builder, RequestCookieAttribute.Builder, RequestHeaderAttribute.Builder, RequestLineAttribute.Builder, RequestMethodAttribute.Builder, RequestPathAttribute.Builder, RequestProtocolAttribute.Builder, RequestSchemeAttribute.Builder, RequestURLAttribute.Builder, ResolvedPathAttribute.Builder, ResponseCodeAttribute.Builder, ResponseCookieAttribute.Builder, ResponseHeaderAttribute.Builder, ResponseReasonPhraseAttribute.Builder, ResponseTimeAttribute.Builder, SecureExchangeAttribute.Builder, SslCipherAttribute.Builder, SslClientCertAttribute.Builder, SslSessionIdAttribute.Builder, StoredResponse.Builder, ThreadNameAttribute.Builder, TransportProtocolAttribute.Builder

    public interface ExchangeAttributeBuilder

An interface that knows how to build an exchange attribute from a textual representation.

This makes it easy to configure attributes based on a string representation

Author:
  Stuart Douglas

### Method Summary

All Methods Instance Methods Abstract Methods
`ExchangeAttribute` `build(String token)` Build the attribute from a text based representation.
`String` `name()` The string representation of the attribute name.
`int` `priority()` The priority of the builder.

### Method Detail

#### name

    String name()

The string representation of the attribute name. This is used solely for debugging / informational purposes

Returns:
  The attribute name

#### build

    ExchangeAttribute build(String token)

Build the attribute from a text based representation. If the attribute does not understand this representation then it will just return null.

Parameters:
  `token` - The string token
Returns:
  The exchange attribute, or null

#### priority

    int priority()

The priority of the builder. Builders will be tried in priority builder. Built in builders use the priority range 0-100,

Returns:
  The priority